Splash-Seiten
GET https://u.page/api/splash-pages/
curl --request GET \
--url 'https://u.page/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional (Optional) Zeichenkette | Der Suchbegriff. |
| search_by | Optional (Optional) Zeichenkette | Nach welchem Feld suchen Sie? Erlaubte Werte sind: name. |
| datetime_field | Optional (Optional) Zeichenkette | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional (Optional) Zeichenkette | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional (Optional) Zeichenkette | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional (Optional) Zeichenkette | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: splash_page_id, datetime, last_datetime, name. |
| order_type | Optional (Optional) Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional (Optional) Ganzzahl | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig ist sie 1. |
| results_per_page | Optional (Optional) Ganzzahl | Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig auf 25 festgelegt. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 06:16:47"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/splash-pages?page=1",
"last": "https://u.page/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/splash-pages?page=1"
}
}
GET https://u.page/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 06:16:47"
}
}
POST https://u.page/api/splash-pages
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich Zeichenkette | - |
| title | Optional (Optional) Zeichenkette | - |
| logo | Optional (Optional) Datei | - |
| favicon | Optional (Optional) Datei | - |
| opengraph | Optional (Optional) Datei | - |
| description | Optional (Optional) Zeichenkette | - |
| secondary_button_name | Optional (Optional) Zeichenkette | - |
| secondary_button_url | Optional (Optional) Zeichenkette | - |
| custom_css | Optional (Optional) Zeichenkette | - |
| custom_js | Optional (Optional) Zeichenkette | - |
| ads_header | Optional (Optional) Zeichenkette | - |
| ads_footer | Optional (Optional) Zeichenkette | - |
| link_unlock_seconds | Optional (Optional) Ganzzahl | - |
| auto_redirect | Optional (Optional) Boolean | - |
curl --request POST \
--url 'https://u.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://u.page/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 06:16:47"
}
}
POST https://u.page/api/splash-pages/{splash_page_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional (Optional) Zeichenkette | - |
| title | Optional (Optional) Zeichenkette | - |
| logo | Optional (Optional) Datei | - |
| favicon | Optional (Optional) Datei | - |
| opengraph | Optional (Optional) Datei | - |
| description | Optional (Optional) Zeichenkette | - |
| secondary_button_name | Optional (Optional) Zeichenkette | - |
| secondary_button_url | Optional (Optional) Zeichenkette | - |
| custom_css | Optional (Optional) Zeichenkette | - |
| custom_js | Optional (Optional) Zeichenkette | - |
| ads_header | Optional (Optional) Zeichenkette | - |
| ads_footer | Optional (Optional) Zeichenkette | - |
| link_unlock_seconds | Optional (Optional) Ganzzahl | - |
| auto_redirect | Optional (Optional) Boolean | - |
curl --request POST \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-12 06:16:47"
}
}
DELETE https://u.page/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \